Subject: Re: [PATCH 0/4] PCI: Consolidate TLP Log reading and printing

From: Ilpo Järvinen <[email-masked]>
Date: Mon, 11 Mar 2024 13:34:54 +0200 (EET)

On Fri, 8 Mar 2024, Bjorn Helgaas wrote:

> On Tue, Feb 06, 2024 at 03:57:13PM +0200, Ilpo Järvinen wrote:
> > This series consolidates AER & DPC TLP Log handling code. Helpers are
> > added for reading and printing the TLP Log and the format is made to
> > include E-E Prefixes in both cases (previously only one DPC RP PIO
> > displayed the E-E Prefixes).
> > 
> > I'd appreciate if people familiar with ixgbe could check the error
> > handling conversion within the driver is correct.
> > 
> > Ilpo Järvinen (4):
> >   PCI/AER: Cleanup register variable
> >   PCI: Generalize TLP Header Log reading
> 
> I applied these first two to pci/aer for v6.9, thanks, these are all
> nice improvements!
> 
> I postponed the ixgbe part for now because I think we should get an
> ack from those maintainers or just send it to them since it subtly
> changes the error and device removal checking there.

Okay, I'll make sure they're separated properly for the remaining patches 
(I was already planning on doing that separation and posting v2 to avoid 
their input blocking the changed but you beat me to it).

> >   PCI: Add TLP Prefix reading into pcie_read_tlp_log()
> >   PCI: Create helper to print TLP Header and Prefix Log
> 
> I'll respond to these with some minor comments.

Did you forget to send those comments?

-- 
 i.